# Gimp.Image.import_paths_from_string

    @accepts(Gimp.Image, unicode, int, bool, bool, [Gimp.Path])
    @returns(bool)
    def import_paths_from_string(self, string, length, merge, scale, paths):
        # Python wrapper for gimp_image_import_paths_from_string()

Import paths from an SVG string.

This procedure works like [method@Gimp.Image.import_paths_from_file] but takes a string rather than reading the SVG from a file. This allows you to write scripts that generate SVG and feed it to GIMP.

Since 2.4

self

  The image.

string

  A string that must be a complete and valid SVG document.

length

  Number of bytes in string or -1 if the string is NULL terminated.

merge

  Merge paths into a single path object.

scale

  Scale the SVG to image dimensions.

paths

  The list of newly created paths.

Returns